# DocumentDataExtractionResult class

Contains the result of running the generic document extractor.

## Constructors

DocumentDataExtractionResult.new({required DocumentDataExtractionStatus status, required GenericDocument? document, required DocumentDetectionResult documentDetectionResult, ImageRef? croppedImage})
DocumentDataExtractionResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

croppedImage → ImageRef?
  Crop of the document if it was detected.
  final
document → GenericDocument?
  The extracted document.
  final
documentDetectionResult → DocumentDetectionResult
  Result of the document detection in the input image.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
status → DocumentDataExtractionStatus
  The status of the extraction process.
  final

## Methods

encodeImages() → void
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
release() → void
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited